<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class LIDMigrationMappingSyncPayload extends \Google\Protobuf\Internal\Message
{
    


    private $pnToLidMappings;
    


    protected $chatDbMigrationTimestamp = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPnToLidMappings()
    {
        return $this->pnToLidMappings;
    }

    




    public function setPnToLidMappings($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\LIDMigrationMapping::class);
        $this->pnToLidMappings = $arr;

        return $this;
    }

    



    public function getChatDbMigrationTimestamp()
    {
        return isset($this->chatDbMigrationTimestamp) ? $this->chatDbMigrationTimestamp : 0;
    }

    public function hasChatDbMigrationTimestamp()
    {
        return isset($this->chatDbMigrationTimestamp);
    }

    public function clearChatDbMigrationTimestamp()
    {
        unset($this->chatDbMigrationTimestamp);
    }

    




    public function setChatDbMigrationTimestamp($var)
    {
        GPBUtil::checkUint64($var);
        $this->chatDbMigrationTimestamp = $var;

        return $this;
    }

}

